# Generated by Django 2.2.2 on 2019-09-02 13:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("pretixbase", "0122_orderposition_web_secret"),
    ]

    operations = [
        migrations.CreateModel(
            name="OrderViaUser",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("user_id", models.IntegerField()),
                ("email", models.CharField(max_length=256)),
                ("address", models.CharField(max_length=256)),
                ("city", models.CharField(max_length=256)),
                ("zip", models.CharField(max_length=256)),
                ("member", models.BooleanField()),
                (
                    "order",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="viaduct_user",
                        to="pretixbase.Order",
                    ),
                ),
            ],
        ),
    ]
